
import styles from './Rule.less'
import router from 'umi/router'
import { useEffect } from 'react'

function Rule() {

  useEffect(()=>{
    document.title = '活动规则'
  })

  return(
    <div className={styles.rule}>
      <div className={styles.title}>活动规则</div>
      <div className={styles.list}>
        <div className={styles['list-title']}>欢乐砸金猪规则说明</div>
        <div className={styles['list-item']}>1、砸金猪分为金猪、银猪、铜猪3种。砸金猪需要消耗2000星钻/次，银猪需要消耗1000星钻/次，铜猪需要消耗100星钻/次，10连砸功能将随机获得10个奖品，走过路过不要错过。</div>
        <div className={styles['list-item']}>2、奖励发放：虚拟礼物奖品将实时发放至用户背包中，用户可在直播间直接使用。</div>
        <div className={styles['list-item']}>3、请广大用户不要轻易相信第三方外挂信息，避免造成账户及个人财产损失。</div>
        <div className={styles['list-title']}>禁止使用游戏辅助软件提倡书</div>
        <div className={styles['list-item']}>如使用辅助软件一经核实，立即予以账号冻结1天的警告处罚。第二次被核实使用辅助软件并严重影响社区游戏氛围的账户将被永久封停。</div>
        <div className={styles['list-item']}>良好的社区环境需要大家一起来维护，大家如果需要对外挂使用者或上述违规行为进行举报，可直联系平台工作人员。</div>
      </div>
      <div className={styles.footer}>
        <div className={styles.button} onClick={() => router.goBack()}>返回</div>
      </div>
    </div>
  )
}

export default Rule