import { stringify } from 'qs';
import request from '@/utils/request';

//获取直播详情
export async function getLiveInfo(params) {
  return request(`/api-app/v1/live/getLiveInfo?${stringify(params)}`);
}

//获取直播详情（游客）
export async function getLiveInfoLite(params) {
  return request(`/api-app/v1/live/getLiveInfoLite?${stringify(params)}`);
}

//禁播
export async function disableAnchor(params) {
  return request('/api-manage/v1/anchor/disableAnchor', {
    method: 'POST',
    body: params,
  });
}